# coding=utf-8
"""Functions or variables shared by all the models"""

# django imports
from django.db import models

##############################
# new models.model functions #
##############################


def get_unique_together_values(cls):
    """returns the unique together values in a way that can be used"""
    return cls.objects.values_list(*cls._meta.unique_together[0])


# adds the get_unique_together_values to the default model
models.model.get_unique_together_values = classmethod(get_unique_together_values)
